; Sand-Textur v2.5.0
; Copyright (c) 2005-2010 Frank Kessler <www.Kessnux.net>
;
; Getestet mit TheGIMP 2.6.7 unter Mandriva Linux 2010 am 2010-03-20.
;
; Dieses Programm basiert auf dem deutschen Tutorial von Frank Kessler,
; die erste Version des deutschen Tutorial von 2004 basierte
; auf Techniken eines Tutorials von www.wingimp.org.
;
; Dieses Programm unterliegt der Kessnux freie Nutzungs Lizenz Version 1.0.
; Falls Sie kein Exemplar der KFNL erhalten haben, koennen Sie diese
; unter <http://www.kessnux.net/kfnl_10_de.php> einsehen.
;
; 
;
; Sand-Texture v2.5.0
; Copyright (c) 2005-2010 Frank Kessler <www.Kessnux.net>
;
; Tested with TheGIMP 2.6.7 under Mandriva Linux 2010 at 2010-03-20.
;
; This program based on the german Tutorial of Frank Kessler,
; the first version of the german Tutorial from 2004 based
; on techniques of a Tutorial at www.wingimp.org.
;
; This program is subjected to the Kessnux free usage license Version 1.0.
; If you have not received a copy of the KFNL, you could see it
; at <http://www.kessnux.net/kfnl_10_en.php>
;

(define (script-fu-sand-textur breite hoehe koernung farbe)

(let* ((bild (car (gimp-image-new breite hoehe 0)))
	(hg-layer (car (gimp-layer-new bild breite hoehe 0 "Hintergrund" 100 0)))
	(ff (car (gimp-palette-get-foreground))))
	
	(gimp-image-undo-disable bild)
	
	(gimp-image-add-layer bild hg-layer 1)
	
	;Layer vorbereiten
	(gimp-context-set-foreground farbe)
	(gimp-edit-fill hg-layer 0)
	
	;Sand erzeugen
	(plug-in-scatter-hsv TRUE bild hg-layer 2 3 199 139)
	(plug-in-bump-map 1 bild hg-layer hg-layer 135 45 koernung 0 0 0 0 TRUE FALSE 0)
		
	(gimp-image-undo-enable bild)
	(gimp-display-new bild)))
	
(script-fu-register "script-fu-sand-textur"
		    "<Image>/Filters/Render/Pattern/Sand-Textur"
		    "erzeugt eine Textur die wie Sand aussieht"
		    "Frank Kessler"
		    "Frank Kessler"
		    "2010"
		    ""
		    SF-ADJUSTMENT "Bildbreite"         '(300 1 1024 1 10 0 1)
		    SF-ADJUSTMENT "Bildhoehe"          '(200 1 1024 1 10 0 1)
		    SF-ADJUSTMENT "Koernung"           '(3 1 65 1 10 0 1)
		    SF-COLOR      "Farbe"              '(255 249 206))
		    